$spacing-map: (
    0: 0px,
    5: 5px,
  	10: 10px,
  	15: 15px,
  	20: 20px,
    25: 25px,
    30: 30px,
    35: 35px,
    40: 40px,
    45: 45px,
    50: 50px,
    55: 55px,
    60: 60px,
    65: 65px,
    70: 70px,
    75: 75px,
    80: 80px,
    85: 85px,
    90: 90px,
    95: 95px,
    100: 100px
);

@mixin spacing-utilities($attribute: 'margin', $prefix: '-') {

    @each $name, $value in $spacing-map {

        &#{$prefix}#{$name} {
            #{$attribute}: $value;
        }
    }
  
    $newattribute: $attribute + '-bottom';
    @each $name, $value in $spacing-map {

        &-bottom#{$prefix}#{$name} {
            #{$newattribute}: $value;
        }
    }

    $newattribute: $attribute + '-top';
    @each $name, $value in $spacing-map {

        &-top#{$prefix}#{$name} {
            #{$newattribute}: $value;
        }
    }

    $newattribute: $attribute + '-left';
    @each $name, $value in $spacing-map {

        &-left#{$prefix}#{$name} {
            #{$newattribute}: $value;
        }
    }

    $newattribute: $attribute + '-right';
    @each $name, $value in $spacing-map {

        &-right#{$prefix}#{$name} {
            #{$newattribute}: $value;
        }
    }
}

.m {
    @include spacing-utilities();
}

.p {
    @include spacing-utilities(padding);
}